Skip to main content
GET
/
cabinet
/
admin
/
menu-layout
Get Menu Layout
curl --request GET \
  --url https://api.example.com/cabinet/admin/menu-layout \
  --header 'Authorization: Bearer <token>'
{
  "rows": [
    {
      "id": "<string>",
      "max_per_row": 2,
      "buttons": [
        {
          "id": "<string>",
          "type": "builtin",
          "style": "primary",
          "icon_custom_emoji_id": "",
          "enabled": true,
          "labels": {},
          "url": "<string>",
          "open_in": "external"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Full merged menu configuration returned to the frontend.

rows
RowConfig · object[]
required